<?php
/**
 * Plugin Publication multi-sites avec filtrage par rubrique
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/filtres');

/**
 * Fonction de migration des mots cles techniques de sites de publication
 *
 */
function cims_migration_mots_cles() {
	$sites_publication = array();
	$sites_publication_ok = false;
	
	// mots cles techniques de sites de publication
        $result = sql_select("motsrub.id_objet,mots.titre", "spip_mots_liens as motsrub, spip_mots as mots", "objet='rubrique' AND motsrub.id_mot=mots.id_mot AND mots.type='_a_publier_sur_le_site'","","");
        while ($row = sql_fetch($result))
                $sites_publication[] = array('id_rubrique' => $row['id_objet'], 'site_publication' => $row['titre']);

	foreach ($sites_publication as $valeur) {
		$id = sql_insertq("spip_cims_multisites", array(
		'id_rubrique' => $valeur['id_rubrique'],
		'multisite' =>  $valeur['site_publication']));
	}

	if (sql_countsel('spip_cims_multisites', "") >= count($sites_publication)) $sites_publication_ok = true;

	// suppression complete des mots cles techniques de sites de publication
	// si la migration correspondante a aboutie
	if ($sites_publication_ok)
		cims_supprimer_groupe_mots('_a_publier_sur_le_site');

	return true;
}


// supprime un groupe de mots, ses mots cles et leurs relations
function cims_supprimer_groupe_mots($groupe) {
        $mots = array();
	
	$result = sql_select("id_mot", "spip_mots", "type='".$groupe."'","","");		
	while ($row = sql_fetch($result))	{
		$mots[] = $row['id_mot'];
	}
	
	if (isset($mots) AND $mots) {
		$where = "id_mot IN (" . join(',', $mots) . ")";
                sql_delete("spip_mots_liens", "objet='rubrique' AND ".$where);
		
		sql_delete("spip_mots", $where);
		sql_delete("spip_groupes_mots", "titre='$groupe'");
	}

	return true;
}


?>